package com.wd.workoffice.ui.fg;

import android.widget.TextView;

import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkBaseFg;
import com.wd.workoffice.bean.vo.BatLayoutVo;
import com.wd.workoffice.ui.adapter.BatLayoutAdapter;

import java.util.ArrayList;
import java.util.List;

import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;


/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MainFragment extends WorkBaseFg {
    @BindView(R.id.tv_store)
    TextView tvStore;
    @BindView(R.id.rv_store)
    RecyclerView rvStore;
    @BindView(R.id.rv_sale)
    RecyclerView rvSale;
    @BindView(R.id.rv_product)
    RecyclerView rvProduct;
    @BindView(R.id.rv_approval)
    RecyclerView rvApproval;
    @BindView(R.id.rv_work)
    RecyclerView rvWork;
    @BindView(R.id.srl_refresh)
    SmartRefreshLayout srlRefresh;
    List<BatLayoutVo> saleList = new ArrayList<>();
    List<BatLayoutVo> storeList = new ArrayList<>();
    List<BatLayoutVo> approvalList = new ArrayList<>();
    List<BatLayoutVo> workList = new ArrayList<>();
    List<BatLayoutVo> productList = new ArrayList<>();
    int[] saleImg = new int[]{R.mipmap.bat_sale1, R.mipmap.bat_sale2, R.mipmap.bat_sale3, R.mipmap.bat_sale4};
    String[] saleName = new String[]{"销售订单", "外购订单", "供应订单", "内部订单"};
    int[] storeImg = new int[]{R.mipmap.bat_store1, R.mipmap.bat_store2, R.mipmap.bat_store3, R.mipmap.bat_store4
            , R.mipmap.bat_store5, R.mipmap.bat_store6, R.mipmap.bat_store7};
    String[] storeName = new String[]{"销售", "外采购", "供应", "维修", "财税", "钳锅", "内部交易"};
    int[] approvalImg = new int[]{R.mipmap.bat_approval1, R.mipmap.bat_approval2};
    String[] approvalName = new String[]{"我审批的", "我发起的"};
    int[] workImg = new int[]{R.mipmap.bat_work1, R.mipmap.bat_work2, R.mipmap.bat_work3,
            R.mipmap.bat_work4, R.mipmap.bat_work5, R.mipmap.bat_work6, R.mipmap.bat_work7, R.mipmap.bat_work8, R.mipmap.bat_work9};
    String[] workName = new String[]{"产品", "往来", "部门账户", "仓库", "部门", "财务中心", "设备", "报表", "库存类别"};
    int[] productImg = new int[]{R.mipmap.bat_product1, R.mipmap.bat_product2, R.mipmap.bat_product3, R.mipmap.bat_product4};
    String[] productName = new String[]{"销售订单", "外购订单", "供应订单", "内部订单"};

    @Override
    protected void initView() {
        ButterKnife.bind(this, getContentView());
        addDate(saleList, saleImg, saleName);
        addDate(storeList, storeImg, storeName);
        addDate(approvalList, approvalImg, approvalName);
        addDate(workList, workImg, workName);
        addDate(productList, productImg, productName);
        initRvLayout(rvSale, saleList);
        initRvLayout(rvStore, storeList);
        initRvLayout(rvApproval, approvalList);
        initRvLayout(rvWork, workList);
        initRvLayout(rvProduct, productList);
    }


//    @Nullable
//    @Override
//    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
//        sex = getArguments().getString("sex");
//        return super.onCreateView(inflater, container, savedInstanceState);
//    }

    @Override
    protected void initData() {
    }


    @Override
    protected void initEvent() {
        srlRefresh.setOnRefreshListener(refreshLayout -> {
            srlRefresh.finishRefresh();
        });
    }

    @Override
    protected int layoutId() {
        return R.layout.fg_home;
    }

    private void addDate(List<BatLayoutVo> saleList, int[] saleImg, String[] saleName) {
        for (int i = 0; i < saleImg.length; i++) {
            BatLayoutVo batLayoutVo = new BatLayoutVo();
            batLayoutVo.setImg(saleImg[i]);
            batLayoutVo.setName(saleName[i]);
            saleList.add(batLayoutVo);
        }

    }

    /**
     * 初始化布局
     *
     * @param rvSale
     * @param saleList
     */
    private void initRvLayout(RecyclerView rvSale, List<BatLayoutVo> saleList) {
        rvSale.setLayoutManager(new GridLayoutManager(getActivity(), 4, RecyclerView.VERTICAL,
                false));
        BatLayoutAdapter batLayoutAdapter = new BatLayoutAdapter(R.layout.item_bat_layout, saleList);
        batLayoutAdapter.bindToRecyclerView(rvSale);
        switch (rvSale.getId()) {
            case R.id.rv_sale:
                break;
            case R.id.rv_store:
                break;
            case R.id.rv_product:
                break;
            case R.id.rv_work:
                break;
            case R.id.rv_approval:
                break;
        }
    }
}
